############################################################
#
# type definition pro_declaration_component_lcgbdii
#
# RESPONSIBLE: Charles Loomis <charles.loomis@cern.ch>
#
# AUTHOR: Charles Loomis <charles.loomis@cern.ch>
#
# VERSION : 1.0.3
#
# Translation of lcg-lcfg-bdii by Laurence Field.
#
############################################################

declaration template pro_declaration_component_lcgbdii;

include pro_declaration_structures;

include pro_declaration_types;

define type component_lcgbdii = {
	include structure_component

	"configFile"    : string
        "updateFile"    : string

	"portread"      : long with (self>0)
	"portwrite"     : long with (self>0)
	"user"          : string
	"bind"          : string
	"filter"        : string
	"timeout"       : long with (self>0)
	"auto"          : string with match (self, 'yes|no')
	"temp"          : string
	"file"          : string
	"httpurl"       : type_hostURI
 
	"slapd"         : string
	"slapadd"       : string
	"ldapread"      : string
	"ldapwrite"     : string
	"databaseread"  : string
	"databasewrite" : string
	"pidread"       : string
	"pidwrite"      : string

	"urls"          ? type_hostURI{}
};

type "/software/components/lcgbdii" = component_lcgbdii;
